# Starter | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface Starter

interface Starter {
abilityIndex : number;
dexAttr : bigint;
moveset ?: StarterMoveset ;
nature : Nature ;
nickname ?: string;
passive : boolean;
pokerus : boolean;
species : default ;
teraType ?: PokemonType ;
}

- Defined in src/ui/starter-select-ui-handler.ts:87

##### Index

### Properties

abilityIndex
dexAttr
moveset?
nature
nickname?
passive
pokerus
species
teraType?

## Properties

### abilityIndex

abilityIndex: number

- Defined in src/ui/starter-select-ui-handler.ts:90

### dexAttr

dexAttr: bigint

- Defined in src/ui/starter-select-ui-handler.ts:89

### `Optional` moveset

moveset?: StarterMoveset

- Defined in src/ui/starter-select-ui-handler.ts:93

### nature

nature: Nature

- Defined in src/ui/starter-select-ui-handler.ts:92

### `Optional` nickname

nickname?: string

- Defined in src/ui/starter-select-ui-handler.ts:95

### passive

passive: boolean

- Defined in src/ui/starter-select-ui-handler.ts:91

### pokerus

pokerus: boolean

- Defined in src/ui/starter-select-ui-handler.ts:94

### species

species: default

- Defined in src/ui/starter-select-ui-handler.ts:88

### `Optional` teraType

teraType?: PokemonType

- Defined in src/ui/starter-select-ui-handler.ts:96